QMimeSource(3qt)

NAME
QMimeSource - Abstraction of objects which provide formatted data of a certain MIME type

SYNOPSIS
#include <ntqmime.h>

Inherited by QDragObject and QDropEvent.

  Public Members
QMimeSource ()
virtual ~QMimeSource ()
virtual const char * format ( int i = 0 ) const = 0
virtual bool provides ( const char * mimeType ) const
virtual QByteArray encodedData ( const char * ) const = 0
int serialNumber () const

DESCRIPTION
The QMimeSource class is an abstraction of objects which provide formatted data of a certain MIME type.

Drag-and-drop and clipboard use this abstraction.

See also IANA list of MIME media types, Drag And Drop Classes, Input/Output and Networking, and Miscellaneous Classes.

MEMBER FUNCTION DOCUMENTATION

QMimeSource::QMimeSource ()
Constructs a mime source and assigns a globally unique serial number to it.

See also serialNumber().

QMimeSource::~QMimeSource () [virtual]
Provided to ensure that subclasses destroy themselves correctly.

QByteArray QMimeSource::encodedData ( const char * ) const [pure virtual]
Returns the encoded data of this object in the specified MIME format.

Subclasses must reimplement this function.

Reimplemented in QStoredDrag, QDropEvent, and QIconDrag.

const char * QMimeSource::format ( int i = 0 ) const [pure virtual]
Returns the i-th supported MIME format, or 0.

Reimplemented in QDropEvent.

bool QMimeSource::provides ( const char * mimeType ) const [virtual]
Returns TRUE if the object can provide the data in format mimeType; otherwise returns FALSE.

If you inherit from QMimeSource, for consistency reasons it is better to implement the more abstract canDecode() functions such as QTextDrag::canDecode() and QImageDrag::canDecode().

Example: iconview/simple_dd/main.cpp.

Reimplemented in QDropEvent.

int QMimeSource::serialNumber () const
Returns the mime source's globally unique serial number.

SEE ALSO
http://doc.trolltech.com/qmimesource.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2007 Trolltech ASA, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive TQt documentation is provided in HTML format; it is located at $TQTDIR/doc/html and can be read using TQt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (tqmimesource.3qt) and the Qt version (3.3.8).